API Explorer 43 endpoints

Get All Level Log Cache

GET /obp/v7.0.0/system/log-cache/all

OBPv5.1.0-logCacheAllEndpoint Roles: CanGetSystemLogCacheAll SystemAPILog-Cache

Returns logs of all levels from the system log cache.

This endpoint supports pagination via the following optional query parameters:

  • limit - Maximum number of log entries to return
  • offset - Number of log entries to skip (for pagination)

Example: GET /system/log-cache/all?limit=50&offset=100

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

This endpoint supports User XOR Application authorisation: either a person acting on their own Entitlements, or an Application acting as itself (e.g. with an OAuth2 client-credentials token) on its Consumer's Scopes. A person calling through a Consumer does not get that Consumer's Scopes. See here for more information.

This endpoint supports User XOR Application authorisation: either a person acting on their own Entitlements, or an Application acting as itself (e.g. with an OAuth2 client-credentials token) on its Consumer's Scopes. A person calling through a Consumer does not get that Consumer's Scopes. See here for more information.

This endpoint supports User XOR Application authorisation: either a person acting on their own Entitlements, or an Application acting as itself (e.g. with an OAuth2 client-credentials token) on its Consumer's Scopes. A person calling through a Consumer does not get that Consumer's Scopes. See here for more information.

JSON response body fields (0)
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
  • OBP-20200: The application cannot be identified.
Implemented by OBPv5.1.0 logCacheAllEndpoint Originally /obp/v5.1.0/system/log-cache/all